[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: cross-compiler for powerpc



On Tue, 31 Jul 2012 11:07:32 +0200
ternaryd <ternaryd@gmail.com> wrote:

> On Mon, 30 Jul 2012 18:03:09 +0100
> Neil Williams <codehelp@debian.org> wrote:
> 
> > Add an apt source for backports when using squeeze.
> 
> Thanks, this did work, mostly.

What do you mean mostly?
 
> > Add an apt source for your preferred Debian mirror pointing at
> > squeeze when using sid.
> 
> Also this did work, mostly. While I was able to build all libraries on
> squeeze, xapt failed on sid. For instance, trying to build the postgres
> client library:
> 
> xapt -a powerpc libpq-dev
> 
> Download complete and in download only mode
> Use of qw(...) as parentheses is deprecated at /usr/bin/dpkg-cross line 1046.
> dpkg-cross: Skipping Multi-Arch package 'zlib1g_1%3a1.2.7.dfsg-13_powerpc.deb'.

Use the -m switch to xapt when there are packages which are Multi-Arch
compliant in the dependency chain.

If these are omissions in the wiki page, feel free to update the wiki
page.

There is a lot more going on here than you may expect and building
cross-toolchains on sid is probably best left to Thibault for genuine
Multi-Arch support.

If you just want a cross-compiler for powerpc, forget sid. Use
Squeeze, build for squeeze and xapt doesn't need to look at Multi-Arch.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

Attachment: pgpU0ZoC8L1x8.pgp
Description: PGP signature


Reply to: